emacs – MELPA中列出的软件包,但在软件包安装中找不到

我目前正试图安装ENSIME for emacs 24.3.1按照快速启动https://github.com/ensime/ensime-emacs的说明;我已经添加

    (require 'package)
    (add-to-list 'package-archives
             '("melpa" . "http://melpa.milkbox.net/packages/") t)
    (package-initialize)

(when (not package-archive-contents)
  (package-refresh-contents))

到我的.emacs文件,如指示。但是,当我重新启动并做M-x包安装[返回] ensime [返回],它返回[无匹配],确实,我不能找到它,当我列出的包。然而,我可以很容易地找到它在http://melpa.milkbox.net/#;什么会导致通过网站可用的时间和什么时候可以从emacs安装之间的差异?

任何帮助深表感谢;谢谢!

最佳答案
在我的.emacs文件中

;; packages
(when (>= emacs-major-version 24)
  (require 'package)
  (package-initialize)
  (add-to-list 'package-archives '("melpa" . "http://melpa.milkbox.net/packages/") t)
  )

然后,M-x package-list-packages

C-s后续

你去那里:

随后20140718 ….可用Enhanced Scala Interaction模式的Emacs

你确定你的emacs实际上可以访问互联网?

转载注明原文:emacs – MELPA中列出的软件包,但在软件包安装中找不到 - 代码日志